org.jgroups.stack

## Class RouterStubManager

- java.lang.Object
- - org.jgroups.stack.RouterStubManager

All Implemented Interfaces:
  RouterStub.ConnectionListener

    public class RouterStubManager
    extends java.lang.Object
    implements RouterStub.ConnectionListener

### Field Summary

Fields
`protected Log` `log`

### Constructor Summary

Constructors
Constructor and Description
`RouterStubManager(Protocol owner, java.lang.String channelName, Address logicalAddress, long interval)`

### Method Summary

Methods
`void` `connectionStatusChange(RouterStub stub, RouterStub.ConnectionStatus newState)`
`RouterStub` `createAndRegisterStub(java.lang.String routerHost, int routerPort, java.net.InetAddress bindAddress)`
`void` `destroyStubs()`
`void` `disconnectStubs()`
`static RouterStubManager` `emptyGossipClientStubManager(Protocol p)`
`java.util.List<RouterStub>` `getStubs()`
`void` `registerStub(RouterStub s)`
`void` `startReconnecting(RouterStub stub)`
`void` `stopReconnecting(RouterStub stub)`
`boolean` `unregisterAndDestroyStub(java.net.InetSocketAddress address)`
`RouterStub` `unregisterStub(java.net.InetSocketAddress address)`
`boolean` `unregisterStub(RouterStub s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected final Log log

### Constructor Detail

#### RouterStubManager

    public RouterStubManager(Protocol owner,
                     java.lang.String channelName,
                     Address logicalAddress,
                     long interval)

### Method Detail

#### getStubs

    public java.util.List<RouterStub> getStubs()

#### createAndRegisterStub

    public RouterStub createAndRegisterStub(java.lang.String routerHost,
                                   int routerPort,
                                   java.net.InetAddress bindAddress)

#### registerStub

    public void registerStub(RouterStub s)

#### unregisterStub

    public boolean unregisterStub(RouterStub s)

#### unregisterStub

    public RouterStub unregisterStub(java.net.InetSocketAddress address)

#### unregisterAndDestroyStub

    public boolean unregisterAndDestroyStub(java.net.InetSocketAddress address)

#### disconnectStubs

    public void disconnectStubs()

#### destroyStubs

    public void destroyStubs()

#### startReconnecting

    public void startReconnecting(RouterStub stub)

#### stopReconnecting

    public void stopReconnecting(RouterStub stub)

#### connectionStatusChange

    public void connectionStatusChange(RouterStub stub,
                              RouterStub.ConnectionStatus newState)

Specified by:
  `connectionStatusChange` in interface `RouterStub.ConnectionListener`

#### emptyGossipClientStubManager

    public static RouterStubManager emptyGossipClientStubManager(Protocol p)